diff tests/test-freadptr.sh @ 40221:8c1a17df67e0

tests: Prepare for using valgrind. tests/*.sh: Invoke all test programs through ${CHECKER}. tests/*/*.sh: Likewise.
author Bruno Haible <bruno@clisp.org>
date Sun, 10 Mar 2019 11:32:11 +0100
parents 80e0e25c2220
children
line wrap: on
line diff
--- a/tests/test-freadptr.sh	Sun Mar 10 01:28:42 2019 +0100
+++ b/tests/test-freadptr.sh	Sun Mar 10 11:32:11 2019 +0100
@@ -1,5 +1,5 @@
 #!/bin/sh
 
-./test-freadptr${EXEEXT} 5 < "$srcdir/test-freadptr.sh" || exit 1
-cat "$srcdir/test-freadptr.sh" | ./test-freadptr${EXEEXT} 5 || exit 1
+${CHECKER} ./test-freadptr${EXEEXT} 5 < "$srcdir/test-freadptr.sh" || exit 1
+cat "$srcdir/test-freadptr.sh" | ${CHECKER} ./test-freadptr${EXEEXT} 5 || exit 1
 exit 0